import { R as Reference, A as AstNode } from '../Reference-CuzLAXpJ.cjs';
import { Writer } from './core/Writer.cjs';
import { Decorator } from './Decorator.cjs';
import '@fern-api/generator-commons';
import './core/types.cjs';

declare namespace Class {
    interface Args {
        name: string;
        extends_?: Reference[];
        decorators?: Decorator[];
    }
}
declare class Class extends AstNode {
    readonly name: string;
    readonly extends_: Reference[];
    readonly decorators: Decorator[];
    private statements;
    constructor({ name, extends_, decorators }: Class.Args);
    write(writer: Writer): void;
    addStatement(statement: AstNode): void;
    private writeStatements;
}

export { Class };
