import { T as Type, A as AstNode } from '../Reference-BHTDIVFO.js';
import { Writer } from './core/Writer.js';
import '@fern-api/generator-commons';
import './core/types.js';

declare namespace Field {
    interface BaseArgs {
        name: string;
    }
    type Args = BaseArgs & ({
        type: Type;
        initializer?: AstNode;
    } | {
        type?: Type;
        initializer: AstNode;
    } | {
        type: Type;
        initializer: AstNode;
    });
}
declare class Field extends AstNode {
    readonly name: string;
    readonly type: Type | undefined;
    readonly initializer: AstNode | undefined;
    constructor({ name, type, initializer }: Field.Args);
    write(writer: Writer): void;
}

export { Field };
