import { T as Type, A as AstNode } from '../Reference-BHTDIVFO.js';
import { Writer } from './core/Writer.js';
import { Parameter } from './Parameter.js';
import { Decorator } from './Decorator.js';
import '@fern-api/generator-commons';
import './core/types.js';
import './CodeBlock.js';

declare enum ClassMethodType {
    STATIC = 0,
    INSTANCE = 1,
    CLASS = 2
}
declare namespace Method {
    interface Args {
        name: string;
        parameters: Parameter[];
        return_?: Type;
        docstring?: string;
        type?: ClassMethodType;
        decorators?: Decorator[];
    }
}
declare class Method extends AstNode {
    readonly name: string;
    readonly return: Type | undefined;
    readonly docstring: string | undefined;
    readonly type: ClassMethodType | undefined;
    private readonly parameters;
    private readonly decorators;
    private readonly statements;
    constructor({ name, parameters, return_, docstring, type, decorators }: Method.Args);
    addStatement(statement: AstNode): void;
    write(writer: Writer): void;
}

export { ClassMethodType, Method };
