import { A as AstNode } from '../Reference-BHTDIVFO.js';
import { Writer } from './core/Writer.js';
import { ModulePath } from './core/types.js';
import '@fern-api/generator-commons';

declare namespace PythonFile {
    interface Args {
        moduleName: string;
        path: ModulePath;
        name: string;
    }
}
declare class PythonFile extends AstNode {
    readonly moduleName: string;
    readonly path: ModulePath;
    readonly name: string;
    private readonly statements;
    constructor({ moduleName, path, name }: PythonFile.Args);
    addStatement(statement: AstNode): void;
    write(writer: Writer): void;
    /*******************************
     * Helper Methods
     *******************************/
    private getImportName;
    private writeImports;
}

export { PythonFile };
