import { A as AstNode } from '../Reference-BHTDIVFO.js';
export { T as Type } from '../Reference-BHTDIVFO.js';
import { Writer } from './core/Writer.js';
import '@fern-api/generator-commons';
import './core/types.js';

interface DictEntry {
    key: AstNode;
    value: AstNode;
}
declare class TypeInstantiation extends AstNode {
    private readonly internalType;
    private constructor();
    static int(value: number): TypeInstantiation;
    static float(value: number): TypeInstantiation;
    static bool(value: boolean): TypeInstantiation;
    static str(value: string): TypeInstantiation;
    static bytes(value: string): TypeInstantiation;
    static list(values: AstNode[]): TypeInstantiation;
    static set(values: AstNode[]): TypeInstantiation;
    static tuple(values: AstNode[]): TypeInstantiation;
    static dict(entries: DictEntry[]): TypeInstantiation;
    static none(): TypeInstantiation;
    static uuid(value: string): TypeInstantiation;
    write(writer: Writer): void;
}

export { TypeInstantiation };
