import { Class } from './ast/Class.cjs';
import { Field } from './ast/Field.cjs';
import { Writer } from './ast/core/Writer.cjs';
import { R as Reference, A as AstNode, T as Type } from './Reference-CuzLAXpJ.cjs';
import { CodeBlock } from './ast/CodeBlock.cjs';
import { Method } from './ast/Method.cjs';
import { MethodInvocation } from './ast/MethodInvocation.cjs';
import { ClassInstantiation } from './ast/ClassInstantiation.cjs';
import { Parameter } from './ast/Parameter.cjs';
import { MethodArgument } from './ast/MethodArgument.cjs';
import { PythonFile } from './ast/PythonFile.cjs';
import { Decorator } from './ast/Decorator.cjs';
import { TypeInstantiation } from './ast/TypeInstantiation.cjs';
import '@fern-api/generator-commons';
import './ast/core/types.cjs';
import './ast/BaseInvocation.cjs';

declare function file(args: PythonFile.Args): PythonFile;
declare function class_(args: Class.Args): Class;
declare function instantiateClass(args: ClassInstantiation.Args): ClassInstantiation;
declare function decorator(args: Decorator.Args): Decorator;
declare function reference(args: Reference.Args): Reference;
declare function field(args: Field.Args): Field;
declare function codeBlock(args: CodeBlock.Arg): CodeBlock;
declare function method(args: Method.Args): Method;
declare function invokeMethod(args: MethodInvocation.Args): MethodInvocation;
declare function parameter(args: Parameter.Args): Parameter;
declare function methodArgument(args: MethodArgument.Args): MethodArgument;

declare const python_AstNode: typeof AstNode;
declare const python_Class: typeof Class;
declare const python_ClassInstantiation: typeof ClassInstantiation;
declare const python_CodeBlock: typeof CodeBlock;
declare const python_Decorator: typeof Decorator;
declare const python_Field: typeof Field;
declare const python_Method: typeof Method;
declare const python_MethodInvocation: typeof MethodInvocation;
declare const python_PythonFile: typeof PythonFile;
declare const python_Reference: typeof Reference;
declare const python_Type: typeof Type;
declare const python_TypeInstantiation: typeof TypeInstantiation;
declare const python_Writer: typeof Writer;
declare const python_class_: typeof class_;
declare const python_codeBlock: typeof codeBlock;
declare const python_decorator: typeof decorator;
declare const python_field: typeof field;
declare const python_file: typeof file;
declare const python_instantiateClass: typeof instantiateClass;
declare const python_invokeMethod: typeof invokeMethod;
declare const python_method: typeof method;
declare const python_methodArgument: typeof methodArgument;
declare const python_parameter: typeof parameter;
declare const python_reference: typeof reference;
declare namespace python {
  export { python_AstNode as AstNode, python_Class as Class, python_ClassInstantiation as ClassInstantiation, python_CodeBlock as CodeBlock, python_Decorator as Decorator, python_Field as Field, python_Method as Method, python_MethodInvocation as MethodInvocation, python_PythonFile as PythonFile, python_Reference as Reference, python_Type as Type, python_TypeInstantiation as TypeInstantiation, python_Writer as Writer, python_class_ as class_, python_codeBlock as codeBlock, python_decorator as decorator, python_field as field, python_file as file, python_instantiateClass as instantiateClass, python_invokeMethod as invokeMethod, python_method as method, python_methodArgument as methodArgument, python_parameter as parameter, python_reference as reference };
}

export { AstNode, Class, ClassInstantiation, CodeBlock, Decorator, Field, Method, MethodInvocation, PythonFile, Reference, Type, TypeInstantiation, Writer, class_, codeBlock, decorator, field, file, instantiateClass, invokeMethod, method, methodArgument, python as p, parameter, reference };
